%define subrel 1

# Build configuration

%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}

%if 0%{?build_bootstrap}
%define build_docs 0
%else
%define build_docs 1
%endif

%ifarch %{arm} aarch64
%define build_docs 0
%endif

%bcond_without postgres
%bcond_without mysql
%bcond_without sqlite
%bcond_without tds
%bcond_without cups
%bcond_with qvfb
%bcond_without examples
%bcond_without odbc

%bcond_with debug
%bcond_without ibase

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 2
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 4

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtbase-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqt %mklibname qt5base %qtmajor
%define libqtdevel %mklibname qt5base %qtmajor -d

%define libqtcore %mklibname qt5core %qtmajor
%define libqtcore_d %mklibname qt5core -d

%define libqtconcurrent %mklibname qt5concurrent %qtmajor
%define libqtconcurrent_d %mklibname qt5concurrent -d

%define libqtdbus %mklibname qt5dbus %qtmajor
%define libqtdbus_d %mklibname qt5dbus -d

%define libqteglfsdeviceintegration %mklibname qt5eglfsdeviceintegration %qtmajor
%define libqteglfsdeviceintegration_d %mklibname qt5eglfsdeviceintegration -d

%define libqteglfskmssupport %mklibname qt5eglfskmssupport %qtmajor
%define libqteglfskmssupport_d %mklibname qt5eglfskmssupport -d

%define libqtgui %mklibname qt5gui %qtmajor
%define libqtgui_d %mklibname qt5gui -d

%define libqtnetwork %mklibname qt5network %qtmajor
%define libqtnetwork_d %mklibname qt5network -d

%define libqtopengl %mklibname qt5opengl %qtmajor
%define libqtopengl_d %mklibname qt5opengl -d

%define libqtplatformsupport %mklibname qt5platformsupport %qtmajor
%define libqtplatformsupport_d %mklibname qt5platformsupport -d

%define libqtprintsupport %mklibname qt5printsupport %qtmajor
%define libqtprintsupport_d %mklibname qt5printsupport -d

%define libqtsql %mklibname qt5sql %qtmajor
%define libqtsql_d %mklibname qt5sql -d

%define libqttest %mklibname qt5test %qtmajor
%define libqttest_d %mklibname qt5test -d

%define libqtwidgets %mklibname qt5widgets %qtmajor
%define libqtwidgets_d %mklibname qt5widgets -d

%define libqtxcbqpa %mklibname qt5xcbqpa %qtmajor
%define libqtxcbqpa_d %mklibname qt5xcbqpa -d

%define libqtxml %mklibname qt5xml %qtmajor
%define libqtxml_d %mklibname qt5xml -d

%define libqtedid %mklibname qt5edid %qtmajor
%define libqtedid_d %mklibname qt5edid -d

%define libqtaccessibilitysupport_d %mklibname qt5accessibilitysupport -d -s
%define libqtlinuxaccessibilitysupport_d %mklibname qt5linuxaccessibilitysupport -d -s
%define libqtbootstrap_d %mklibname qt5bootstrap -d -s
%define libqtbootstrap_old_d %mklibname qt5bootstrap -d 
%define libqtdevicediscoverysupport_d %mklibname qt5devicediscoverysupport -d -s
%define libqteglsupport_d %mklibname qt5eglsupport -d -s
%define libqteventdispatchersupport_d %mklibname qt5eventdispatchersupport -d -s
%define libqtfbsupport_d %mklibname qt5fbsupport -d -s
%define libqtfontdatabasesupport_d %mklibname qt5fontdatabasesupport -d -s
%define libqtglxsupport_d %mklibname qt5glxsupport -d -s
%define libqtinputsupport_d %mklibname qt5inputsupport -d -s
%define libqtkmssupport_d %mklibname qt5kmssupport -d -s
%define libqtplatformcompositorsupport_d %mklibname qt5platformcompositorsupport -d -s
%define libqtservicesupport_d %mklibname qt5servicesupport -d -s
%define libqtthemesupport_d %mklibname qt5themesupport -d -s
%define libqtxkbcommonsupport_d %mklibname qt5xkbcommonsupport -d -s
%define libqtvulkansupport_d %mklibname qt5vulkansupport -d -s


# Folder macros

%define _qt5_prefix %{_prefix}
%define _qt5_archdatadir %{_libdir}/qt5
%define _qt5_datadir %{_datadir}/qt5
%define _qt5_bindir %{_qt5_archdatadir}/bin
%define _qt5_docdir %{_docdir}/qt5
%define _qt5_libdir %{_libdir}
%define _qt5_includedir %{_includedir}/qt5
%define _qt5_headerdir %{_includedir}/qt5
%define _qt5_plugindir %{_qt5_archdatadir}/plugins
%define _qt5_demosdir %{_qt5_archdatadir}/demos
%define _qt5_examplesdir %{_qt5_archdatadir}/examples
%define _qt5_importdir %{_qt5_archdatadir}/imports
%define _qt5_testsdir %{_qt5_archdatadir}/tests
%define _qt5_translationdir %{_datadir}/qt5/translations
%define _qt5_settingsdir %{_sysconfdir}/xdg
%define _qt5_sysconfdir %{_qt5_settingsdir}
%define _qt5_libexecdir %{_qt5_archdatadir}/libexec
%define _qt5_qmldir %{_qt5_archdatadir}/qml

# Do not check any files in %%{_qt5_plugindir}/platformthemes/ for requires.
# Those themes are there for platform integration. If the required libraries are
# not there, the platform to integrate with isn't either. Then Qt will just
# silently ignore the plugin that fails to load. Thus, there is no need to let
# RPM drag in gtk2 as a dependency for the GTK+ 2 dialog support.
%global __requires_exclude_from ^%{_qt5_plugindir}/platformthemes/.*$

Name:           qtbase5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt GUI toolkit
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# https://bugzilla.redhat.com/show_bug.cgi?id=1227295
# https://bugs.mageia.org/show_bug.cgi?id=27054
# https://bugs.mageia.org/show_bug.cgi?id=26900
Source1:        qtlogging.ini
Source2:        qt5.macros
# xinitrc script to check for OpenGL 1 only drivers and automatically set
# QT_XCB_FORCE_SOFTWARE_OPENGL for them
Source3:        qt5-fedora-check-opengl2.sh

# backport from upstream

# Branch patches

# Fedora patches
# support firebird version 3.x
Patch64:        qt5-qtbase-5.12.1-firebird.patch

# python3
Patch68:        qtbase-everywhere-src-5.11.1-python3.patch

# Trunk patches
# Mageia patches
# (blino) revert upstream patch that forbids -reduce-relocations on ARM
# since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
Patch100:       qtbase5-revert-old-arm-linker-limitation.patch

# Security patches

# Testing patches

BuildRequires:  binutils >= 2.18
BuildRequires:  cmake-rpm-macros
BuildRequires:  cups-devel
BuildRequires:  mesa-common-devel
BuildRequires:  pam-devel
BuildRequires:  perl
BuildRequires:  python3
BuildRequires:  cmake(double-conversion)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbus-1) >= 0.92
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
# gtk+3.0 for qtgtk style
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(harfbuzz) >= 0.9.42
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libpcre2-16)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(md4c)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(openssl) >= 1.1
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(tslib)
#BuildRequires:  pkgconfig(vg)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-xkb) >= 1.10
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xkbcommon) >= 0.4.1
BuildRequires:  pkgconfig(xkbcommon-x11) >= 0.4.1
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

#------------------------------------------------------------------------------

%package common
Summary:        Qt%{qtmajor} Config and Language Files
Group:          Development/KDE and Qt
Provides:       qt5-common = %{version}-%{release}
Obsoletes:      qt5-common < 5.9.1-1
#TODO Mga6: Split qttranslations5 into subpackages
%if ! 0%{?build_bootstrap}
Requires:       qttranslations5
%endif
# (doktor5000) glxinfo binary required by script qt5-check-opengl2.sh
Requires:       glxinfo

# ease upgrade mga7->mga8 (mga#25418)
Conflicts:      %{_lib}qt5gui5 < 5.13.1-5

%description common
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

Configuration and language files for Qt%{qtmajor}.

%files common
%attr(0755,root,root) %{_sysconfdir}/profile.d/*
%dir %{_sysconfdir}/xdg/QtProject
%dir %{_qt5_bindir}
%{_qt5_bindir}/syncqt.pl
%dir %{_qt5_plugindir}
%{_qt5_plugindir}/generic/
%{_qt5_plugindir}/bearer/
%dir %{_qt5_docdir}
%{_qt5_docdir}/global/
%{_qt5_docdir}/config/
%dir %{_qt5_datadir}
%{_qt5_datadir}/qtlogging.ini
%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

#-------------------------------------------------------------------

%package -n %{name}-common-devel
Summary:        Development files for the Qt%{qtmajor} GUI toolkit
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Provides:       qmake = %{version}-%{release}
Provides:       qmake-qt5 = %{version}-%{release}

%description -n %{name}-common-devel
Common files needed to build application based on Qt5.

%post -n %{name}-common-devel
update-alternatives --install %{_bindir}/qmake qmake %{_qt5_bindir}/qmake 20

%postun -n %{name}-common-devel
if ! [ -e %{_qt5_bindir}/qmake ]; then
  update-alternatives --remove qmake %{_qt5_bindir}/qmake
fi

%files -n %{name}-common-devel
%{_bindir}/fixqt4headers.pl
%{_bindir}/moc*
%{_bindir}/qdbuscpp2xml*
%{_bindir}/qdbusxml2cpp*
%{_bindir}/qlalr
%{_bindir}/qmake*
%{_bindir}/qvkgen
%{_bindir}/rcc*
%{_bindir}/syncqt*
%{_bindir}/tracegen
%{_bindir}/uic*
%{_sysconfdir}/rpm/macros.d/qt5.macros
%{_qt5_bindir}/fixqt4headers.pl
%{_qt5_bindir}/moc*
%{_qt5_bindir}/qdbusxml2cpp*
%{_qt5_bindir}/qdbuscpp2xml*
%{_qt5_bindir}/qlalr
%{_qt5_bindir}/qmake*
%{_qt5_bindir}/qvkgen
%{_qt5_bindir}/rcc*
%{_qt5_bindir}/tracegen
%{_qt5_bindir}/uic*
%{_qt5_archdatadir}/mkspecs/
%dir %{_qt5_libdir}/cmake
%dir %{_qt5_libdir}/metatypes
%if "%{_qt5_includedir}" != "%{_includedir}"
%dir %{_qt5_includedir}
%endif

#------------------------------------------------------------------------------

%package examples
Summary:        Example programs made with Qt%{qtmajor}
Group:          Documentation
Provides:       qt5-examples = %{version}-%{release}
Obsoletes:      qt5-examples < 5.9.1-1

%description examples
Example programs made with Qt%{qtmajor}.

%files examples
%{_qt5_examplesdir}/

#------------------------------------------------------------------------------

%if 0%{?build_docs}
%package doc
Summary:        QtBase%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtBase5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/*.qch
%{_qt5_docdir}/qmake/
%{_qt5_docdir}/qtconcurrent/
%{_qt5_docdir}/qtcore/
%{_qt5_docdir}/qtdbus/
%{_qt5_docdir}/qtgui/
%{_qt5_docdir}/qtnetwork/
%{_qt5_docdir}/qtopengl/
%{_qt5_docdir}/qtplatformheaders/
%{_qt5_docdir}/qtprintsupport/
%{_qt5_docdir}/qtsql/
%{_qt5_docdir}/qttestlib/
%{_qt5_docdir}/qtwidgets/
%{_qt5_docdir}/qtxml/
%endif

#------------------------------------------------------------------------------
# CORE QT LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtcore}
Summary:        Qt%{qtmajor} Core Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtcore}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtcore}
%{_qt5_libdir}/libQt5Core.so.%{qtmajor}{,.*}
# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Core.so.%{qtmajor}{,.*}
%endif

#------------------------------------------------------------------------------

%package -n %{libqtcore_d}
Summary:        Devel files needed to build apps based on QtCore
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtcore} = %{version}
Provides:       libqtcore5-devel = %{version}
Provides:       libqt5core-devel = %{version}
Provides:       qt5core-devel = %{version}
Provides:       qtcore5-devel = %{version}

Provides:       qt5core-private-devel = %{version}
Provides:       qtcore5-private-devel = %{version}

Obsoletes:      %{_lib}qt5core-private-devel < 5.6.0-1
Provides:       %{_lib}qt5core-private-devel = %{version}-%{release}

%description -n %{libqtcore_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtcore_d}
%{_qt5_libdir}/libQt5Core.prl
%{_qt5_libdir}/libQt5Core.so
%{_qt5_libdir}/pkgconfig/Qt5Core.pc
%{_qt5_libdir}/cmake/Qt5Core/
%{_qt5_libdir}/cmake/Qt5/Qt5Config.cmake
%{_qt5_libdir}/cmake/Qt5/Qt5ConfigVersion.cmake
%{_qt5_libdir}/cmake/Qt5/Qt5ModuleLocation.cmake
%{_qt5_libdir}/metatypes/qt5core_metatypes.json
%{_qt5_includedir}/QtCore/

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent}
Summary:        Qt%{qtmajor} Concurrent Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtconcurrent}
Qt%{qtmajor} Concurrent Library.

%files -n %{libqtconcurrent}
%{_qt5_libdir}/libQt5Concurrent.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent_d}
Summary:        Devel files needed to build apps based on QtConcurrent
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtconcurrent} = %{version}
Provides:       libqtconcurrent5-devel = %{version}
Provides:       libqt5concurrent-devel = %{version}
Provides:       qt5concurrent-devel = %{version}
Provides:       qtconcurrent5-devel = %{version}

%description -n %{libqtconcurrent_d}
Devel files needed to build apps based on QtConcurrent.

%files -n %{libqtconcurrent_d}
%{_qt5_libdir}/libQt5Concurrent.so
%{_qt5_libdir}/libQt5Concurrent.prl
%{_qt5_libdir}/pkgconfig/Qt5Concurrent.pc
%{_qt5_libdir}/cmake/Qt5Concurrent/
%{_qt5_includedir}/QtConcurrent/

#------------------------------------------------------------------------------

%package -n %{libqtdbus}
Summary:        Qt%{qtmajor} DBus Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtdbus}
Qt%{qtmajor} DBus Library.

%files -n %{libqtdbus}
%{_qt5_libdir}/libQt5DBus.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtdbus_d}
Summary:        Devel files needed to build apps based on QtDBus
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtdbus} = %{version}
Provides:       libqtdbus5-devel = %{version}
Provides:       libqt5dbus-devel = %{version}
Provides:       qt5dbus-devel = %{version}
Provides:       qtdbus5-devel = %{version}

Provides:       qt5dbus-private-devel = %{version}
Provides:       qtdbus5-private-devel = %{version}

Obsoletes:      %{_lib}qt5dbus-private-devel < 5.6.0-1
Provides:       %{_lib}qt5dbus-private-devel = %{version}-%{release}

%description -n %{libqtdbus_d}
Devel files needed to build apps based on QtDBus.

%files -n %{libqtdbus_d}
%{_qt5_libdir}/libQt5DBus.prl
%{_qt5_libdir}/libQt5DBus.so
%{_qt5_libdir}/pkgconfig/Qt5DBus.pc
%{_qt5_libdir}/cmake/Qt5DBus/
%{_qt5_includedir}/QtDBus/

#------------------------------------------------------------------------------

%package -n %{libqteglfsdeviceintegration}
Summary:        Qt%{qtmajor} EglFSDeviceIntegrations Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

Obsoletes:      %{_lib}qt5egldeviceintegration5 < 5.9.1-1
Provides:       %{_lib}qt5egldeviceintegration5 = %{version}-%{release}


%description -n %{libqteglfsdeviceintegration}
Qt%{qtmajor} EglFSDeviceIntegrations Library.

%files -n %{libqteglfsdeviceintegration}
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.so.%{qtmajor}{,.*}
%{_qt5_plugindir}/egldeviceintegrations/

#------------------------------------------------------------------------------

%package -n %{libqteglfsdeviceintegration_d}
Summary:        Devel files needed to build apps based on EglFSDeviceIntegrations
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration} = %{version}
Provides:       libqteglfsdeviceintegration5-devel = %{version}
Provides:       libqt5eglfsdeviceintegration-devel = %{version}
Provides:       qteglfsdeviceintegration5-devel = %{version}
Provides:       qt5eglfsdeviceintegration-devel = %{version}

%description -n %{libqteglfsdeviceintegration_d}
Devel files needed to build apps based on QtEglFSDeviceIntegrations.

%files -n %{libqteglfsdeviceintegration_d}
%{_qt5_includedir}/QtEglFSDeviceIntegration/
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.prl
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.so
%{_qt5_libdir}/cmake/Qt5EglFSDeviceIntegration/

#------------------------------------------------------------------------------

%package -n %{libqteglfskmssupport}
Summary:        Qt%{qtmajor} EglFsKmsSupport Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqteglfskmssupport}
Qt%{qtmajor} EglFsKmsSupport Library.

%files -n %{libqteglfskmssupport}
%{_qt5_libdir}/libQt5EglFsKmsSupport.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqteglfskmssupport_d}
Summary:        Devel files needed to build apps based on EglFsKmsSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqteglfskmssupport} = %{version}
Provides:       libqteglfskmssupport5-devel = %{version}
Provides:       libqt5eglfskmssupport-devel = %{version}
Provides:       qteglfskmssupport5-devel = %{version}
Provides:       qt5eglfskmssupport-devel = %{version}

%description -n %{libqteglfskmssupport_d}
Devel files needed to build apps based on QtEglFsKmsSupport.

%files -n %{libqteglfskmssupport_d}
%{_qt5_libdir}/libQt5EglFsKmsSupport.prl
%{_qt5_libdir}/libQt5EglFsKmsSupport.so
%{_qt5_libdir}/cmake/Qt5EglFsKmsSupport/

#------------------------------------------------------------------------------

%package -n %{libqtgui}
Summary:        Qt%{qtmajor} GUI Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtgui}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtgui}
%{_qt5_libdir}/libQt5Gui.so.%{qtmajor}{,.*}
# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Gui.so.%{qtmajor}{,.*}
%endif
%{_qt5_plugindir}/imageformats/
%{_qt5_plugindir}/platforminputcontexts/
%{_qt5_plugindir}/platformthemes/
%{_qt5_plugindir}/platforms/

#------------------------------------------------------------------------------

%package -n %{libqtgui_d}
Summary:        Devel files needed to build apps based on QtGui
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-common-devel = %{version}-%{release}
#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
Requires:       pkgconfig(egl)
Requires:       pkgconfig(vulkan)
Requires:       %{libqtgui} = %{version}
# referenced by Qt5Gui cmake files
Requires:       %{libqtxcbqpa_d} = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration_d} = %{version}-%{release}
%if ! 0%{?build_bootstrap}
Requires:       qtwayland5
%endif

Provides:       libqtgui5-devel = %{version}
Provides:       libqt5gui-devel = %{version}
Provides:       qtgui5-devel = %{version}
Provides:       qt5gui-devel = %{version}

Obsoletes:      %{_lib}qt5gui-private-devel < 5.6.0-1
Provides:       %{_lib}qt5gui-private-devel = %{version}-%{release}

Provides:       qtgui5-private-devel = %{version}
Provides:       qt5gui-private-devel = %{version}

%description -n %{libqtgui_d}
Devel files needed to build apps based on QtGui.

%files -n %{libqtgui_d}
%{_qt5_libdir}/libQt5Gui.prl
%{_qt5_libdir}/libQt5Gui.so
%{_qt5_libdir}/pkgconfig/Qt5Gui.pc
%{_qt5_libdir}/cmake/Qt5Gui/
%{_qt5_libdir}/metatypes/qt5gui_metatypes.json
%{_qt5_includedir}/QtGui/

#------------------------------------------------------------------------------

%package -n %{libqtnetwork}
Summary:        Qt%{qtmajor} Network Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtnetwork}
Qt%{qtmajor} Component Library.

The QtNetwork module provides classes to make network programming easier
and portable.

%files -n %{libqtnetwork}
%{_qt5_libdir}/libQt5Network.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtnetwork_d}
Summary:        Devel files needed to build apps based on QtNetwork
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtnetwork} = %{version}
Requires:       pkgconfig(openssl) >= 1.1
Provides:       libqtnetwork5-devel = %{version}
Provides:       libqt5network-devel = %{version}
Provides:       qtnetwork5-devel = %{version}
Provides:       qt5network-devel = %{version}

Obsoletes:      %{_lib}qt5network-private-devel < 5.6.0-1
Provides:       %{_lib}qt5network-private-devel = %{version}-%{release}

Provides:       qtnetwork5-private-devel = %{version}
Provides:       qt5network-private-devel = %{version}

%description -n %{libqtnetwork_d}
Devel files needed to build apps based on QtNetwork.

%files -n %{libqtnetwork_d}
%{_qt5_libdir}/libQt5Network.prl
%{_qt5_libdir}/libQt5Network.so
%{_qt5_libdir}/pkgconfig/Qt5Network.pc
%{_qt5_libdir}/cmake/Qt5Network/
%{_qt5_includedir}/QtNetwork/

#------------------------------------------------------------------------------

%package -n %{libqtopengl}
Summary:        Qt%{qtmajor} OpenGL Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtopengl}
Qt%{qtmajor} Component Library.

The QtOpenGL module offers classes that make it easy to use OpenGL in
Qt applications.

%files -n %{libqtopengl}
%{_qt5_libdir}/libQt5OpenGL.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtopengl_d}
Summary:        Devel files needed to build apps based on QtOpenGL
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtopengl} = %{version}
Provides:       libqtopengl5-devel = %{version}
Provides:       libqt5opengl-devel = %{version}
Provides:       qtopengl5-devel = %{version}
Provides:       qt5opengl-devel = %{version}

Obsoletes:      %{_lib}qt5opengl-private-devel < 5.6.0-1
Provides:       %{_lib}qt5opengl-private-devel = %{version}-%{release}

Provides:       qtopengl5-private-devel = %{version}
Provides:       qt5opengl-private-devel = %{version}

%description -n %{libqtopengl_d}
Devel files needed to build apps based on QtOpenGL.

%files -n %{libqtopengl_d}
%{_qt5_libdir}/libQt5OpenGL.prl
%{_qt5_libdir}/libQt5OpenGL.so
%{_qt5_libdir}/libQt5OpenGLExtensions.a
%{_qt5_libdir}/libQt5OpenGLExtensions.prl
%{_qt5_libdir}/pkgconfig/Qt5OpenGLExtensions.pc
%{_qt5_libdir}/pkgconfig/Qt5OpenGL.pc
%{_qt5_libdir}/cmake/Qt5OpenGL/
%{_qt5_libdir}/cmake/Qt5OpenGLExtensions/
%{_qt5_includedir}/QtOpenGL/
%{_qt5_includedir}/QtOpenGLExtensions/

#------------------------------------------------------------------------------

%package -n %{libqtplatformsupport_d}
Summary:        Devel files needed to build apps based on QtPlatformSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtplatformsupport5-devel = %{version}
Provides:       libqt5platformsupport-devel = %{version}
Provides:       qtplatformsupport5-devel = %{version}
Provides:       qt5platformsupport-devel = %{version}
# For compatibility
Obsoletes:      %{_lib}qt5platform-private-devel < 5.6.0
Provides:       %{_lib}qt5platform-private-devel = %{version}-%{release}

Provides:       qtplatformsupport5-private-devel = %{version}
Provides:       qt5platformsupport-private-devel = %{version}

%description -n %{libqtplatformsupport_d}
Devel files needed to build iapps based on QtPlatformSupport.

%files -n %{libqtplatformsupport_d}
# Header only library
%{_qt5_includedir}/QtPlatformHeaders/

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport}
Summary:        Qt%{qtmajor} PrintSupport Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtprintsupport}
Qt%{qtmajor} PrintSupport Library.

%files -n %{libqtprintsupport}
%{_qt5_libdir}/libQt5PrintSupport.so.%{qtmajor}{,.*}
%{_qt5_plugindir}/printsupport/

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport_d}
Summary:        Devel files needed to build apps based on QtPrintSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtprintsupport} = %{version}
Provides:       libqtprintsupport5-devel = %{version}
Provides:       libqt5printsupport-devel = %{version}
Provides:       qtprintsupport5-devel = %{version}
Provides:       qt5printsupport-devel = %{version}

Obsoletes:      %{_lib}qt5printsupport-private-devel < 5.6.0-1
Provides:       %{_lib}qt5printsupport-private-devel = %{version}-%{release}

Provides:       qtprintsupport5-private-devel = %{version}
Provides:       qt5printsupport-private-devel = %{version}

%description -n %{libqtprintsupport_d}
Devel files needed to build apps based on QtPrintSupport.

%files -n %{libqtprintsupport_d}
%{_qt5_libdir}/libQt5PrintSupport.so
%{_qt5_libdir}/libQt5PrintSupport.prl
%{_qt5_libdir}/pkgconfig/Qt5PrintSupport.pc
%{_qt5_libdir}/cmake/Qt5PrintSupport/
%{_qt5_includedir}/QtPrintSupport/

#------------------------------------------------------------------------------

%package -n %{libqtsql}
Summary:        Qt%{qtmajor} SQL Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}
%if ! %without sqlite
Requires:       %{_lib}qt5-database-plugin-sqlite = %{version}
%endif
%if ! %without ibase
Requires:       %{_lib}qt5-database-plugin-ibase = %{version}
%endif

%description -n %{libqtsql}
Qt%{qtmajor} SQL Library.

%files -n %{libqtsql}
%{_qt5_libdir}/libQt5Sql.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsql_d}
Summary:        Devel files needed to build apps based on QtSql
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtsql} = %{version}
%if ! %without odbc
Requires:       qtbase5-database-plugin-odbc
%endif
%if ! %without tds
Requires:       qtbase5-database-plugin-tds
%endif
%if ! %without mysql
Requires:       qtbase5-database-plugin-mysql
%endif
%if ! %without postgres
Requires:       qtbase5-database-plugin-pgsql
%endif
%if ! %without sqlite
Requires:       qtbase5-database-plugin-sqlite
%endif
%if ! %without ibase
Requires:       qtbase5-database-plugin-ibase
%endif
Provides:       libqtsql5-devel = %{version}
Provides:       libqt5sql-devel = %{version}
Provides:       qt5sql-devel = %{version}
Provides:       qtsql5-devel = %{version}

Provides:       libqtsql5-private-devel = %{version}
Provides:       libqt5sql-private-devel = %{version}
Provides:       qt5sql-private-devel = %{version}
Provides:       qtsql5-private-devel = %{version}

Obsoletes:      %{_lib}qt5sql-private-devel < 5.6.0-1
Provides:       %{_lib}qt5sql-private-devel = %{version}-%{release}

%description -n %{libqtsql_d}
Devel files needed to build apps based on QtSql.

%files -n %{libqtsql_d}
%{_qt5_libdir}/libQt5Sql.prl
%{_qt5_libdir}/libQt5Sql.so
%{_qt5_libdir}/pkgconfig/Qt5Sql.pc
%{_qt5_libdir}/cmake/Qt5Sql/
%{_qt5_includedir}/QtSql/

#------------------------------------------------------------------------------

%package -n %{libqttest}
Summary:        Qt%{qtmajor} Test Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqttest}
Qt%{qtmajor} Component Library.

The QtTest module provides classes for unit testing Qt applications and
libraries.

%files -n %{libqttest}
%{_qt5_libdir}/libQt5Test.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqttest_d}
Summary:        Devel files needed to build apps based on QtTest
Group:          Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqttest} = %{version}
Provides:       libqttest5-devel = %{version}
Provides:       libqt5test-devel = %{version}
Provides:       qttest5-devel = %{version}
Provides:       qt5test-devel = %{version}

Obsoletes:      %{_lib}qt5test-private-devel < 5.6.0-1
Provides:       %{_lib}qt5test-private-devel = %{version}-%{release}

Provides:       qttest5-private-devel = %{version}
Provides:       qt5test-private-devel = %{version}

Requires:       qtwidgets5-devel = %{version}-%{release}

%description -n %{libqttest_d}
Devel files needed to build apps based on QtTest.

%files -n %{libqttest_d}
%{_qt5_libdir}/libQt5Test.prl
%{_qt5_libdir}/libQt5Test.so
%{_qt5_libdir}/pkgconfig/Qt5Test.pc
%{_qt5_libdir}/cmake/Qt5Test/
%{_qt5_includedir}/QtTest/

#------------------------------------------------------------------------------

%package -n %{libqtwidgets}
Summary:        Qt%{qtmajor} Widgets Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtwidgets}
Qt%{qtmajor} Widgets Library.

%files -n %{libqtwidgets}
%{_qt5_libdir}/libQt5Widgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtwidgets_d}
Summary:        Devel files needed to build apps based on QtWidgets
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtwidgets} = %{version}
Provides:       libqtwidgets5-devel = %{version}
Provides:       libqt5widgets-devel = %{version}
Provides:       qtwidgets5-devel = %{version}
Provides:       qt5widgets-devel = %{version}

Obsoletes:      %{_lib}qt5widgets-private-devel < 5.6.0-1
Provides:       %{_lib}qt5widgets-private-devel = %{version}-%{release}

Provides:       qtwidgets5-private-devel = %{version}
Provides:       qt5widgets-private-devel = %{version}

%description -n %{libqtwidgets_d}
Devel files needed to build apps based on QtWidgets.

%files -n %{libqtwidgets_d}
%{_qt5_libdir}/libQt5Widgets.so
%{_qt5_libdir}/libQt5Widgets.prl
%{_qt5_libdir}/pkgconfig/Qt5Widgets.pc
%{_qt5_libdir}/cmake/Qt5Widgets/
%{_qt5_libdir}/metatypes/qt5widgets_metatypes.json
%{_qt5_includedir}/QtWidgets/

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa}
Summary:        Qt%{qtmajor} XcbQpa Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtxcbqpa}
Qt%{qtmajor} XcbQpa Library.

%files -n %{libqtxcbqpa}
%{_qt5_libdir}/libQt5XcbQpa.so.%{qtmajor}{,.*}
%{_qt5_plugindir}/xcbglintegrations/

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa_d}
Summary:        Devel files needed to build apps based on QtXcbQpa
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtxcbqpa} = %{version}
Provides:       libqtxcbqpa5-devel = %{version}
Provides:       libqt5xcbqpa-devel = %{version}
Provides:       qtxcbqpa5-devel = %{version}
Provides:       qt5xcbqpa-devel = %{version}

%description -n %{libqtxcbqpa_d}
Devel files needed to build apps based on QtXcbQpa.

%files -n %{libqtxcbqpa_d}
%{_qt5_libdir}/libQt5XcbQpa.prl
%{_qt5_libdir}/libQt5XcbQpa.so
%{_qt5_libdir}/cmake/Qt5XcbQpa/

#------------------------------------------------------------------------------

%package -n %{libqtxml}
Summary:        Qt%{qtmajor} XML Library
Group:          System/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %{libqtxml}
Qt%{qtmajor} Component Library.

The QtXml module provides a stream reader and writer for XML documents,
and C++ implementations of SAX and DOM.

%files -n %{libqtxml}
%{_qt5_libdir}/libQt5Xml.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtxml_d}
Summary:        Devel files needed to build apps based on QtXml
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtxml} = %{version}
Provides:       libqtxml5-devel = %{version}
Provides:       libqt5xml-devel = %{version}
Provides:       qtxml5-devel = %{version}
Provides:       qt5xml-devel = %{version}

%description -n %{libqtxml_d}
Devel files needed to build apps based on QtXml.

%files -n %{libqtxml_d}
%{_qt5_libdir}/libQt5Xml.prl
%{_qt5_libdir}/libQt5Xml.so
%{_qt5_libdir}/pkgconfig/Qt5Xml.pc
%{_qt5_libdir}/cmake/Qt5Xml/
%{_qt5_includedir}/QtXml/

#------------------------------------------------------------------------------

%package -n %{libqtdevel}
Summary:        Development files for the Qt%{qtmajor} GUI toolkit
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Provides:       qt5-devel = %{version}-%{release}
Provides:       qtbase5-devel = %{version}-%{release}
Provides:       libqtbase5-devel = %{version}-%{release}
Provides:       libqt5-devel = %{version}-%{release}

Requires:       %{name}-common-devel = %{version}-%{release}
Requires:       %{libqtcore_d} = %{version}-%{release}
Requires:       %{libqtconcurrent_d} = %{version}-%{release}
Requires:       %{libqtdbus_d} = %{version}-%{release}
Requires:       %{libqteglfsdeviceintegration_d} = %{version}-%{release}
Requires:       %{libqteglfskmssupport_d} = %{version}-%{release}
Requires:       %{libqtgui_d} = %{version}-%{release}
Requires:       %{libqtnetwork_d} = %{version}-%{release}
Requires:       %{libqtopengl_d} = %{version}-%{release}
Requires:       %{libqtprintsupport_d} = %{version}-%{release}
Requires:       %{libqtsql_d} = %{version}-%{release}
Requires:       %{libqttest_d} = %{version}-%{release}
Requires:       %{libqtwidgets_d} = %{version}-%{release}
Requires:       %{libqtxml_d} = %{version}-%{release}
Requires:       %{libqtxcbqpa_d} = %{version}-%{release}

%description -n %{libqtdevel}
The %{libqtdevel} package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt
meta object compiler, and the static libraries.  See the address
http://qt-project.org/ for more information about Qt%{qtmajor}.

%files -n %{libqtdevel}

#------------------------------------------------------------------------------
# SUPPORT STATIC LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtaccessibilitysupport_d}
Summary:        Devel files needed to build apps based on AccessibilitySupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtaccessibilitysupport5-devel = %{version}
Provides:       libqt5accessibilitysupport-devel = %{version}
Provides:       qtaccessibilitysupport5-devel = %{version}
Provides:       qt5accessibilitysupport-devel = %{version}

%description -n %{libqtaccessibilitysupport_d}
Devel files needed to build apps based on QtAccessibilitySupport.

%files -n %{libqtaccessibilitysupport_d}
%{_qt5_libdir}/libQt5AccessibilitySupport.a
%{_qt5_libdir}/libQt5AccessibilitySupport.prl
%{_qt5_libdir}/cmake/Qt5AccessibilitySupport/
%{_qt5_includedir}/QtAccessibilitySupport/

#------------------------------------------------------------------------------

%package -n %{libqtlinuxaccessibilitysupport_d}
Summary:        Devel files needed to build apps based on AccessibilitySupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtlinuxaccessibilitysupport5-devel = %{version}
Provides:       libqt5linuxaccessibilitysupport-devel = %{version}
Provides:       qtlinuxaccessibilitysupport5-devel = %{version}
Provides:       qt5linuxaccessibilitysupport-devel = %{version}

%description -n %{libqtlinuxaccessibilitysupport_d}
Devel files needed to build apps based on QtAccessibilitySupport.

%files -n %{libqtlinuxaccessibilitysupport_d}
%{_qt5_libdir}/libQt5LinuxAccessibilitySupport.a
%{_qt5_libdir}/libQt5LinuxAccessibilitySupport.prl
%{_qt5_libdir}/cmake/Qt5LinuxAccessibilitySupport/
%{_qt5_includedir}/QtLinuxAccessibilitySupport/

#------------------------------------------------------------------------------

%package -n %{libqtbootstrap_d}
Summary:        Devel files needed to build apps based on QtBootstrap
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtbootstrap5-devel = %{version}

Provides:       libqtbootstrap5-static-devel = %{version}
Provides:       qtbootstrap5-static-devel = %{version}

Obsoletes:      %libqtbootstrap_old_d < 5.9.1

%description -n %{libqtbootstrap_d}
Devel files needed to build apps based on QtBootstrap.

%files -n %{libqtbootstrap_d}
%{_qt5_libdir}/libQt5Bootstrap.a
%{_qt5_libdir}/libQt5Bootstrap.prl

#------------------------------------------------------------------------------

%package -n %{libqtdevicediscoverysupport_d}
Summary:        Devel files needed to build apps based on DeviceDiscoverySupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtdevicediscoverysupport5-devel = %{version}
Provides:       libqt5devicediscoverysupport-devel = %{version}
Provides:       qtdevicediscoverysupport5-devel = %{version}
Provides:       qt5devicediscoverysupport-devel = %{version}

%description -n %{libqtdevicediscoverysupport_d}
Devel files needed to build apps based on QtDeviceDiscoverySupport.

%files -n %{libqtdevicediscoverysupport_d}
%{_qt5_libdir}/libQt5DeviceDiscoverySupport.a
%{_qt5_libdir}/libQt5DeviceDiscoverySupport.prl
%{_qt5_libdir}/cmake/Qt5DeviceDiscoverySupport/
%{_qt5_includedir}/QtDeviceDiscoverySupport/

#------------------------------------------------------------------------------

%package -n %{libqteglsupport_d}
Summary:        Devel files needed to build apps based on EglSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqteglsupport5-devel = %{version}
Provides:       libqt5eglsupport-devel = %{version}
Provides:       qteglsupport5-devel = %{version}
Provides:       qt5eglsupport-devel = %{version}

%description -n %{libqteglsupport_d}
Devel files needed to build apps based on QtEglSupport.

%files -n %{libqteglsupport_d}
%{_qt5_libdir}/libQt5EglSupport.a
%{_qt5_libdir}/libQt5EglSupport.prl
%{_qt5_libdir}/cmake/Qt5EglSupport/
%{_qt5_includedir}/QtEglSupport/

#------------------------------------------------------------------------------

%package -n %{libqteventdispatchersupport_d}
Summary:        Devel files needed to build apps based on EventDispatcherSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqteventdispatchersupport5-devel = %{version}
Provides:       libqt5eventdispatchersupport-devel = %{version}
Provides:       qteventdispatchersupport5-devel = %{version}
Provides:       qt5eventdispatchersupport-devel = %{version}

%description -n %{libqteventdispatchersupport_d}
Devel files needed to build apps based on QtEventDispatcherSupport.

%files -n %{libqteventdispatchersupport_d}
%{_qt5_libdir}/libQt5EventDispatcherSupport.a
%{_qt5_libdir}/libQt5EventDispatcherSupport.prl
%{_qt5_libdir}/cmake/Qt5EventDispatcherSupport/
%{_qt5_includedir}/QtEventDispatcherSupport/

#------------------------------------------------------------------------------

%package -n %{libqtfbsupport_d}
Summary:        Devel files needed to build apps based on FbSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtfbsupport5-devel = %{version}
Provides:       libqt5fbsupport-devel = %{version}
Provides:       qtfbsupport5-devel = %{version}
Provides:       qt5fbsupport-devel = %{version}

%description -n %{libqtfbsupport_d}
Devel files needed to build apps based on QtFbSupport.

%files -n %{libqtfbsupport_d}
%{_qt5_libdir}/libQt5FbSupport.a
%{_qt5_libdir}/libQt5FbSupport.prl
%{_qt5_libdir}/cmake/Qt5FbSupport/
%{_qt5_includedir}/QtFbSupport/

#------------------------------------------------------------------------------

%package -n %{libqtfontdatabasesupport_d}
Summary:        Devel files needed to build apps based on FontDatabaseSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtfontdatabasesupport5-devel = %{version}
Provides:       libqt5fontdatabasesupport-devel = %{version}
Provides:       qtfontdatabasesupport5-devel = %{version}
Provides:       qt5fontdatabasesupport-devel = %{version}

%description -n %{libqtfontdatabasesupport_d}
Devel files needed to build apps based on QtFontDatabaseSupport.

%files -n %{libqtfontdatabasesupport_d}
%{_qt5_libdir}/libQt5FontDatabaseSupport.a
%{_qt5_libdir}/libQt5FontDatabaseSupport.prl
%{_qt5_libdir}/cmake/Qt5FontDatabaseSupport/
%{_qt5_includedir}/QtFontDatabaseSupport/

#------------------------------------------------------------------------------

%package -n %{libqtglxsupport_d}
Summary:        Devel files needed to build apps based on GlxSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtglxsupport5-devel = %{version}
Provides:       libqt5glxsupport-devel = %{version}
Provides:       qtglxsupport5-devel = %{version}
Provides:       qt5glxsupport-devel = %{version}

%description -n %{libqtglxsupport_d}
Devel files needed to build apps based on QtGlxSupport.

%files -n %{libqtglxsupport_d}
%{_qt5_libdir}/libQt5GlxSupport.a
%{_qt5_libdir}/libQt5GlxSupport.prl
%{_qt5_libdir}/cmake/Qt5GlxSupport/
%{_qt5_includedir}/QtGlxSupport/

#------------------------------------------------------------------------------

%package -n %{libqtinputsupport_d}
Summary:        Devel files needed to build apps based on InputSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtinputsupport5-devel = %{version}
Provides:       libqt5inputsupport-devel = %{version}
Provides:       qtinputsupport5-devel = %{version}
Provides:       qt5inputsupport-devel = %{version}

%description -n %{libqtinputsupport_d}
Devel files needed to build apps based on QtInputSupport.

%files -n %{libqtinputsupport_d}
%{_qt5_libdir}/libQt5InputSupport.a
%{_qt5_libdir}/libQt5InputSupport.prl
%{_qt5_libdir}/cmake/Qt5InputSupport/
%{_qt5_includedir}/QtInputSupport/

#------------------------------------------------------------------------------

%package -n %{libqtkmssupport_d}
Summary:        Devel files needed to build apps based on KmsSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtkmssupport5-devel = %{version}
Provides:       libqt5kmssupport-devel = %{version}
Provides:       qtkmssupport5-devel = %{version}
Provides:       qt5kmssupport-devel = %{version}

%description -n %{libqtkmssupport_d}
Devel files needed to build apps based on QtKmsSupport.

%files -n %{libqtkmssupport_d}
%{_qt5_libdir}/libQt5KmsSupport.a
%{_qt5_libdir}/libQt5KmsSupport.prl
%{_qt5_libdir}/cmake/Qt5KmsSupport/
%{_qt5_includedir}/QtKmsSupport/

#------------------------------------------------------------------------------

%package -n %{libqtplatformcompositorsupport_d}
Summary:        Devel files needed to build apps based on PlatformCompositorSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtplatformcompositorsupport5-devel = %{version}
Provides:       libqt5platformcompositorsupport-devel = %{version}
Provides:       qtplatformcompositorsupport5-devel = %{version}
Provides:       qt5platformcompositorsupport-devel = %{version}

%description -n %{libqtplatformcompositorsupport_d}
Devel files needed to build apps based on QtPlatformCompositorSupport.

%files -n %{libqtplatformcompositorsupport_d}
%{_qt5_libdir}/libQt5PlatformCompositorSupport.a
%{_qt5_libdir}/libQt5PlatformCompositorSupport.prl
%{_qt5_libdir}/cmake/Qt5PlatformCompositorSupport/
%{_qt5_includedir}/QtPlatformCompositorSupport/

#------------------------------------------------------------------------------

%package -n %{libqtservicesupport_d}
Summary:        Devel files needed to build apps based on ServiceSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtservicesupport5-devel = %{version}
Provides:       libqt5servicesupport-devel = %{version}
Provides:       qtservicesupport5-devel = %{version}
Provides:       qt5servicesupport-devel = %{version}

%description -n %{libqtservicesupport_d}
Devel files needed to build apps based on QtServiceSupport.

%files -n %{libqtservicesupport_d}
%{_qt5_libdir}/libQt5ServiceSupport.a
%{_qt5_libdir}/libQt5ServiceSupport.prl
%{_qt5_libdir}/cmake/Qt5ServiceSupport/
%{_qt5_includedir}/QtServiceSupport/

#------------------------------------------------------------------------------

%package -n %{libqtedid_d}
Summary:        Devel files needed to build apps based on Edid
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtedid5-devel = %{version}
Provides:       libqt5edid-devel = %{version}
Provides:       qtedid5-devel = %{version}
Provides:       qt5edid-devel = %{version}

%description -n %{libqtedid_d}
Devel files needed to build apps based on QtEdid.

%files -n %{libqtedid_d}
%{_qt5_libdir}/libQt5EdidSupport.a
%{_qt5_libdir}/libQt5EdidSupport.prl
%{_qt5_libdir}/cmake/Qt5EdidSupport/
%{_qt5_includedir}/QtEdidSupport/

#------------------------------------------------------------------------------

%package -n %{libqtthemesupport_d}
Summary:        Devel files needed to build apps based on ThemeSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtthemesupport5-devel = %{version}
Provides:       libqt5themesupport-devel = %{version}
Provides:       qtthemesupport5-devel = %{version}
Provides:       qt5themesupport-devel = %{version}

%description -n %{libqtthemesupport_d}
Devel files needed to build apps based on QtThemeSupport.

%files -n %{libqtthemesupport_d}
%{_qt5_libdir}/libQt5ThemeSupport.a
%{_qt5_libdir}/libQt5ThemeSupport.prl
%{_qt5_libdir}/cmake/Qt5ThemeSupport/
%{_qt5_includedir}/QtThemeSupport/

#------------------------------------------------------------------------------

%package -n %{libqtxkbcommonsupport_d}
Summary:        Devel files needed to build apps based on XkbCommonSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtxkbcommonsupport5-devel = %{version}
Provides:       libqt5xkbcommonsupport-devel = %{version}
Provides:       qtxkbcommonsupport5-devel = %{version}
Provides:       qt5xkbcommonsupport-devel = %{version}

%description -n %{libqtxkbcommonsupport_d}
Devel files needed to build apps based on QtXkbCommonSupport.

%files -n %{libqtxkbcommonsupport_d}
%{_qt5_libdir}/libQt5XkbCommonSupport.a
%{_qt5_libdir}/libQt5XkbCommonSupport.prl
%{_qt5_libdir}/cmake/Qt5XkbCommonSupport/
%{_qt5_includedir}/QtXkbCommonSupport/

#------------------------------------------------------------------------------

%package -n %{libqtvulkansupport_d}
Summary:        Devel files needed to build apps based on QtVulkanSupport
Group:          Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Requires:       %{name}-common-devel = %{version}-%{release}
Provides:       libqtvulkansupport5-devel = %{version}
Provides:       libqt5vulkansupport-devel = %{version}
Provides:       qtvulkansupport5-devel = %{version}
Provides:       qt5vulkansupport-devel = %{version}

%description -n %{libqtvulkansupport_d}
Devel files needed to build apps based on QtVulkanSupport.

%files -n %{libqtvulkansupport_d}
%{_qt5_libdir}/libQt5VulkanSupport.*a
%{_qt5_libdir}/libQt5VulkanSupport.prl
%{_qt5_libdir}/cmake/Qt5VulkanSupport/
%{_qt5_includedir}/QtVulkanSupport/

#------------------------------------------------------------------------------
# DATABASE PLUGINS
#------------------------------------------------------------------------------

%if ! %without odbc

%package -n %{_lib}qt5-database-plugin-odbc
Summary:        Qt%{qtmajor} Database ODBC Database Plugin
Group:          Databases
BuildRequires:  unixODBC-devel

Provides:       qt5-database-plugin-odbc = %{version}-%{release}
Obsoletes:      qt5-database-plugin-odbc < 5.9.1-1
Provides:       qtbase5-database-plugin-odbc = %{version}-%{release}
Obsoletes:      qtbase5-database-plugin-odbc < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-odbc
The QODBC driver allows you to connect to an ODBC (Open Database
Connectivity) driver manager and access the available data sources.

%files -n %{_lib}qt5-database-plugin-odbc
%{_qt5_plugindir}/sqldrivers/libqsqlodbc.so

%endif

#------------------------------------------------------------------------------

%if ! %without mysql

%package -n %{_lib}qt5-database-plugin-mysql
Summary:        Qt%{qtmajor} MYSQL Database Plugin
Group:          Databases
BuildRequires:  mysql-devel

Provides:       qt5-database-plugin-mysql = %{version}-%{release}
Obsoletes:      qt5-database-plugin-mysql < 5.9.1-1
Provides:       qtbase5-database-plugin-mysql = %{version}-%{release}
Obsoletes:      qtbase5-database-plugin-mysql < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-mysql
Database plugin for mysql Qt support.

%files -n %{_lib}qt5-database-plugin-mysql
%{_qt5_plugindir}/sqldrivers/libqsqlmysql.so

%endif

#------------------------------------------------------------------------------

%if ! %without sqlite

%package -n %{_lib}qt5-database-plugin-sqlite
Summary:        Qt%{qtmajor} SQLITE Database Plugin
Group:          Databases
BuildRequires:  pkgconfig(sqlite3)

Provides:       qt5-database-plugin-sqlite = %{version}-%{release}
Obsoletes:      qt5-database-plugin-sqlite < 5.9.1-1
Provides:       qtbase5-database-plugin-sqlite = %{version}-%{release}
Obsoletes:      qtbase5-database-plugin-sqlite < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-sqlite
The Qt SQLite plugin makes it possible to access SQLite databases.

%files -n %{_lib}qt5-database-plugin-sqlite
%{_qt5_plugindir}/sqldrivers/libqsqlite.so
%endif

#------------------------------------------------------------------------------

%if ! %without tds

%package -n %{_lib}qt5-database-plugin-tds
Summary:        Qt%{qtmajor} FREETDS Database Plugin
Group:          Databases
BuildRequires:  freetds-devel

Provides:       qt5-database-plugin-tds = %{version}-%{release}
Obsoletes:      qt5-database-plugin-tds < 5.9.1-1
Provides:       qtbase5-database-plugin-tds = %{version}-%{release}
Obsoletes:      qtbase5-database-plugin-tds < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-tds
Database plugin for freetds Qt support.

%files -n %{_lib}qt5-database-plugin-tds
%{_qt5_plugindir}/sqldrivers/libqsqltds.so

%endif

#------------------------------------------------------------------------------

%if ! %without ibase

%package -n %{_lib}qt5-database-plugin-ibase
Summary:        Qt%{qtmajor} Interbase Database Plugin
Group:          Databases
BuildRequires:  firebird-devel
BuildRequires:  pkgconfig(fbclient)

Provides:       qt5-database-plugin-ibase = %{version}-%{release}
Obsoletes:      qt5-database-plugin-ibase < 5.9.1-1
Provides:       qtbase5-database-plugin-ibase = %{version}-%{release}
Obsoletes:      qtbase5-database-plugin-ibase < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-ibase
Database plugin for interbase Qt support.

%files -n %{_lib}qt5-database-plugin-ibase
%{_qt5_plugindir}/sqldrivers/libqsqlibase.so

%endif

#------------------------------------------------------------------------------

%if ! %without postgres

%package -n %{_lib}qt5-database-plugin-pgsql
Summary:        Qt%{qtmajor} PGSQL Database Plugin
Group:          Databases
BuildRequires:  postgresql-devel
BuildRequires:  libpq-devel

Provides:       qt5-database-plugin-pgsql = %{version}-%{release}
Obsoletes:      qt5-database-plugin-pgsql < 5.9.1-1
Provides:       qtbase5-database-plugin-pgsql = %{version}-%{release}
Obsoletes:      qtbase5-database-plugin-pgsql < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-pgsql
Database plugin for pgsql Qt support.

%files -n %{_lib}qt5-database-plugin-pgsql
%{_qt5_plugindir}/sqldrivers/libqsqlpsql.so

%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtbase-everywhere-src-%{qtversion}
%autopatch -p1
# Unlike Fedora, we don't modify the installed mkspecs to contain our flags,
# which would have the side effect that plain 'qmake' would use them as well
# (i.e. even when not building an rpm), which is not really wanted. Our
# packages are built with %%qmake_qt5 (qt5.macros) which already overrides the
# flags, so altering qmake default configuration for that is unnecessary.
# Since the Qt configure script doesn't support defining custom flags, we
# still have to temporarily override the flags below - they are restored in
# %%install. -Anssi
cp mkspecs/linux-g++/qmake.conf mkspecs/linux-g++/qmake.conf.upstream
cat >> mkspecs/linux-g++/qmake.conf <<EOF
QMAKE_CFLAGS   = %{optflags}
QMAKE_CXXFLAGS = %{optflags}
QMAKE_LFLAGS   = %{ldflags}
QMAKE_STRIP    =
# Note that setting QMAKE_LFLAGS_PLUGIN here would do no good, as it would
# just get appended to $QMAKE_LFLAGS instead of replacing it.
EOF

sed -e "s|^QMAKE_CFLAGS_RELEASE .*$|QMAKE_CFLAGS_RELEASE    += %{optflags}  -fno-strict-aliasing -DPIC -fPIC| " -e 's|^QMAKE_CXXFLAGS .*|& -std=gnu++0x|' -i mkspecs/common/gcc-base.conf mkspecs/common/gcc-base-unix.conf

%if 0
# set correct lib path (from fedora)
if [ "%{_lib}" == "lib64" ] ; then
    sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
    sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi
%endif

%build
export QTDIR=`/bin/pwd`
export PATH="$PWD/bin:$PWD/qtrepotools/bin:$PATH"
# Don't include headers or link with /usr/X11R6/{include,lib}
perl -pi -e 's@/X11R6/@/@' mkspecs/linux-*/qmake.conf mkspecs/common/linux.conf

#------------------------------------------------------------------------------

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
# -no-sse2: compile by default without sse2 support on i586, which also requires
# -no-pch:  do not use pre compiled headers (in order to be able to rebuild the gui submodule)

# -no-feature-relocatable is needed to support relocated prefix etc.,
# see QTBUG-78948 and QTBUG-82589 (mga#26200)

./configure -v \
    -confirm-license \
    -opensource \
    -optimized-qmake \
    -prefix %{_qt5_prefix} \
    -archdatadir %{_qt5_archdatadir} \
    -bindir %{_qt5_bindir} \
    -datadir %{_qt5_datadir} \
    -docdir %{_qt5_docdir} \
    -examplesdir %{_qt5_examplesdir} \
    -headerdir %{_qt5_includedir} \
    -importdir %{_qt5_importdir} \
    -libdir %{_qt5_libdir} \
    -libexecdir %{_qt5_libexecdir} \
    -plugindir %{_qt5_plugindir} \
    -sysconfdir %{_qt5_sysconfdir} \
    -translationdir %{_qt5_translationdir} \
    -testsdir %{_qt5_testsdir} \
%ifarch %ix86
    -no-sse2 \
%endif
%if %with debug
    -debug \
    -verbose \
    -developer-build \
%else
    -release \
    -silent \
%endif
    -shared \
    -no-feature-relocatable \
    -no-separate-debug-info \
    -no-rpath \
    -no-pch \
    -reduce-relocations \
    -openssl-linked \
    -dbus-linked \
%if %{with qvfb}
   -qvfb \
%endif
    -opengl desktop \
    -gtk \
    -platform linux-g++ \
    -sm \
    -system-libpng \
    -system-libjpeg \
    -system-zlib \
    -xkbcommon \
    -system-harfbuzz \
    -glib \
    -journald \
%if ! %{with_cups}
    -no-cups \
%endif
%if ! %without postgres
    -plugin-sql-psql \
%endif
%if ! %without mysql
    -plugin-sql-mysql \
%else
    -no-sql-mysql \
%endif
%if %with ibase
    -plugin-sql-ibase \
%else
    -no-sql-ibase \
%endif
%if ! %without sqlite
    -plugin-sql-sqlite \
    -system-sqlite \
    -no-sql-sqlite2 \
%else
    -no-sql-sqlite \
    -no-sql-sqlite2 \
%endif
%if ! %without odbc
    -plugin-sql-odbc \
%else
    -no-sql-odbc \
%endif
%if %without examples
    -nomake examples
%endif

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"

################## Build of QtBase ########################################

make -j $RPM_BUILD_NCPUS

################## Build of Docs ########################################
%if %{build_docs}
# HACK to avoid multilib conflicts in noarch content
# see also https://bugreports.qt-project.org/browse/QTBUG-42071
QT_HASH_SEED=0; export QT_HASH_SEED

%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

# create/own dirs
mkdir -p %{buildroot}{%{_qt5_archdatadir}/mkspecs/modules,%{_qt5_importdir},%{_qt5_libexecdir},%{_qt5_plugindir}/{designer,iconengines,script,styles},%{_qt5_translationdir}}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/QtProject

# symlink files to {_bindir}, add -qt5 postfix to not conflict
mkdir %{buildroot}%{_bindir}
pushd %{buildroot}%{_qt5_bindir}
for i in * ; do
  case "${i}" in
    moc|qdbuscpp2xml|qdbusxml2cpp|qmake|rcc|uic)
      ln -sv %{_qt5_bindir}/${i} %{buildroot}%{_bindir}/${i}-qt5
      ln -sv ${i} ${i}-qt5
      ;;
    *)
      ln -v  ${i} %{buildroot}%{_bindir}/${i}
      ;;
  esac
done
popd

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

install -m644 -p -D %{SOURCE1} %{buildroot}%{_qt5_datadir}/qtlogging.ini

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430
# first rebuild relevant libraries with SSE2 support, install to %{_qt5_libdir}/sse2/
# taken from Debian - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=754894

%ifarch %{ix86}
mkdir -p %{buildroot}%{_qt5_libdir}/sse2
# corelib needs make clean first to be able to rebuild
pushd src/corelib; make clean ; ../../bin/qmake -config sse2; make
cp -av ../../lib/libQt5Core.so.* %{buildroot}%{_qt5_libdir}/sse2/
popd
# gui on turn doesn't needs it, and actually fails if done.
pushd src/gui; ../../bin/qmake -config sse2; make
cp -av ../../lib/libQt5Gui.so.* %{buildroot}%{_qt5_libdir}/sse2/
popd
%endif

install -d %{buildroot}%{_qt5_docdir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sysconfdir}/profile.d

# recreate .qm files
#LD_LIBRARY_PATH=`pwd`/lib bin/lrelease translations/*.ts

%if %{with qvfb}
# Install qvfb
%make_build -C tools/qvfb INSTALL_ROOT=%{buildroot} install
%else
rm -f %{buildroot}%{_qt5_translationdir}/qvfb*.qm
%endif

# Fix mkspec link
pushd  %{buildroot}%{_qt5_archdatadir}/mkspecs
rm -f default
ln -sf %{_qt5_archdatadir}/mkspecs/linux-g++ default
popd

# Restore qmake.conf to the upstream version which was backed up in %%prep
mv %{buildroot}%{_qt5_archdatadir}/mkspecs/linux-g++/qmake.conf.upstream %{buildroot}%{_qt5_archdatadir}/mkspecs/linux-g++/qmake.conf

# Fix all buildroot paths
find %{buildroot}%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;
find %{buildroot}%{_qt5_libdir} -type f -name '*la' -print -exec sed -i -e "s, -L%{_builddir}/?\S+,,g" -e "s,-L../JavaScriptCore/release,,g" -e "s,-ljscore,,g" {} \;
find %{buildroot}%{_qt5_archdatadir}/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
find %{buildroot}%{_qt5_archdatadir}/mkspecs -name Info.plist.app -exec chmod -x -- {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# Install rpm macros
mkdir -p %{buildroot}%{_sysconfdir}/rpm/macros.d
install -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/rpm/macros.d

# Install Compat software OpenGL 1.x
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
install -m 0755 %SOURCE3 %{buildroot}%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

# Profiles
cat > %{buildroot}%{_sysconfdir}/profile.d/60qt5.sh << EOF
#!/bin/bash
QTDIR5="%{_qt5_archdatadir}" ; export QTDIR5 ;

[ -z \$QT5DOCDIR ] && export QT5DOCDIR=%{_qt5_docdir}

if [ -z \$(echo \$PATH | grep "%{_qt5_bindir}") ]; then
    PATH=\${PATH}:%{_qt5_bindir}
    export PATH
fi
EOF

cat > %{buildroot}%{_sysconfdir}/profile.d/60qt5.csh << EOF
#!/bin/csh
setenv QTDIR5 %{_qt5_archdatadir}
if ( ! \$?QT5DOCDIR ) setenv QT5DOCDIR %{_qt5_docdir}
set path = (\$path \$QTDIR5/bin)

EOF


# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
# .a files are needed by qttols5
#rm -f %%{buildroot}%%{_qt5_libdir}/lib*.a
